%define phpversion 4.0.6
%define phprelease 4mdk
%define phpdir %{_libdir}/php 
%define phpsource /usr/src/php-devel

Summary:	Sybase and MSSQL module for PHP4
Name:		php-sybase
Version:	%{phpversion}
Release:	2mdk
Group:		System/Servers
License:	PHP License
BuildRoot:	%{_tmppath}/%{name}-root
Prereq:		php-common = %{phpversion}, perl
Requires:	freetds >= 0.51
BuildRequires:  php-devel = %{phpversion}
BuildRequires:	freetds-devel >= 0.51
Provides:	mod_php3-sybase, mod_php-sybase
Obsoletes:	mod_php3-sybase, mod_php-sybase

%description
The php-sybase package includes a dynamic shared object (DSO) that adds
MSSQL and Sybase database support to PHP4.  MSSQL and Sybase are commercial 
database management systems. PHP is an HTML-embedded scripting language. 

%build
[ -e ./sybase ] && rm -fr ./sybase
cp -dpR %{phpsource}/extensions/sybase .
cd sybase

%{phpsource}/buildext sybase php_sybase_db.c \
	"-lsybdb -I/usr/include/freetds -L/usr/lib/freetds" \
        "-DHAVE_PQCMDTUPLES -DCOMPILE_DL_SYBASE -DHAVE_SYBASE"

%install
cd sybase
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT 
mkdir -p $RPM_BUILD_ROOT%{phpdir}/extensions

install -m 755 -s sybase.so $RPM_BUILD_ROOT%{phpdir}/extensions/

mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
echo > $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/README <<EOF
The php-sybase package contains a dynamic shared object (DSO) for PHP4. 
To activate it, make sure the line 'extension=sybase.so' is uncommented
in your /etc/php.ini file.
EOF

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
[ -e ./sybase ] && rm -fr ./sybase

%post
if [ $1 = "1" ]; then
  if [ -f %{_sysconfdir}/php.ini ]; then
    perl -pi -e 's|^;extension\s*=\s*sybase.so|extension = sybase.so|' %{_sysconfdir}/php.ini
  fi
fi
if [ $1 -gt 1 ]; then
   #We're in *upgrade mode*. Since we can't be sure the configuration files
   #are sane, remove module from the conf files to clean them, re-add again
   #in a way that the older module we're replacing won't try to erase (the
   #post scripts were broken on some packages)
   #Also, there could be extra lines, so make sure we uncomment one
   #Finally, don't check for presence of php.ini, if it's not there,
   #we have a problem, so it should generate an error message.
   perl -pi -e 's|^extension\s*=\s*sybase.so|;extension = sybase.so|g' %{_sysconfdir}/php.ini
   perl -pi -e 's|^;extension\s*=\s*sybase.so|extension = sybase.so|' %{_sysconfdir}/php.ini
fi
if [ -e %{_sbindir}/AESctl ]; then %{_sbindir}/AESctl update;fi 

%preun
if [ $1 = "0" ]; then
  if [ -f %{_sysconfdir}/php.ini ]; then
    perl -pi -e 's|^extension\s*=\s*sybase.so|;extension = sybase.so|g' %{_sysconfdir}/php.ini
  fi
  if [ -e %{_sbindir}/AESctl ]; then %{_sbindir}/AESctl update;fi 
fi

%files 
%defattr(-,root,root)
%{phpdir}/extensions/sybase.so
%dir %{_docdir}/%{name}-%{version}
%{_docdir}/%{name}-%{version}/README

%changelog
* Sun Sep 09 2001 Christian Belisle <cbelisle@mandrakesoft.com> 4.0.6-2mdk
- Provides the Obsoletes for compatibility.

* Sun Sep 09 2001 Christian Belisle <cbelisle@mandrakesoft.com> 4.0.6-1mdk
- updated to current php version

* Mon Jul 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 4.0.4pl1-6mdk
- added in contribs by Franck Martin <franck@sopac.org> :
	- created this sybase package from php-pgsl

* Thu Apr 12 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.4pl1-6mdk
- fix requires

* Mon Apr  9 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.4pl1-5mdk
- fix post scripts for good 

* Mon Apr  2 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.4pl1-4mdk
- Split pgsql package from php package so that when a new pgsql 
  package comes out, we don't have to recompile php, only this module
